4 Posts
Naga75
1 year ago
Topic

Hello there,

   i have a fresh install of joomla 3.9.18 and successfully installed your extension, using web install. When i enable multi-site, i get mysql error 1064 and i get corrupted all basic joomla installation and sites. Luckily it is a vm and i can revert to last snapshot.

Tried also manually with downloaded file (pkg_seblod_3.18.2.zip) from your website with the same result.

Cleared cache after install as shown in video tutorial

Thanks anyone

Get a Book for SEBLOD
4 Posts
Naga75
1 year ago
0
Level 1

Is there anyone here to support ppl?

thanks

1 year ago
4
Level 1

Hi Naga75,

can you give us more informations on what you are really doing step by step?

Where are you when you get the SQL error and which message with this error?

Regards.

4 Posts
Naga75
1 year ago
3
Level 2

Hello,

  thanks for answering. I am on the following:


OS Linux Debian 9

PHP 7.3.16 

MySQLi 8.0.18 

Joomla 3.9.18

Actually, I installed SEBLOD as first and unique extension. When i enable Multisite from Global Config > Seblod 3.x > Multi-site tab, just clicking on Yes button and then Save & close i get:

An error has occurred.

1064 You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'groups, public_viewlevel, viewlevels, configuration, options FROM #__cck_core_s' at line 1

Also, any webpage on joomla server report 404 error and what i can do is to revert to last snapshot. I actually did not investigate more.

1 year ago
2
Level 3

Hi Naga,

This issue exists only on MySQL 8.0, as "groups" is now a reserved word.

It works fine on MySQL 5.7

SEBLOD 3.19 will include a fix. (a few tests are still required before release).

Saba

1 year ago
1
Level 4

Hi,

SEBLOD 3.19 is now released, and this issue should be fixed.

Feel free to confirm.

Saba

4 Posts
Naga75
1 year ago
0
Level 5

Hey Octopoos - Saba,

     thank you. I will check it soon

Get a VIP membership